Album: Glitch
Artists:
- Andrew Huo
Date: September 6, 2014
Date Added: April 13, 2024
URLs:
- https://andrewhuo.bandcamp.com/album/glitch
Color: '#ddd57a'
Groups:
- Beyond
Commentary: |-
    <i>Andrew Huo:</i> ([Bandcamp about blurb](https://andrewhuo.bandcamp.com/album/glitch))

    Download the full album to acquire both a loopable and full (concluding) version.

    Download an individual track if you don't need to have a loopable version, or don't need a version that ends conclusively.
---
Track: Glitch - Loopable Version
Duration: '1:52'
URLs:
- https://andrewhuo.bandcamp.com/track/glitch-loopable-version
Commentary: |-
    <i>Andrew Huo:</i> ([Bandcamp about blurb](https://andrewhuo.bandcamp.com/track/glitch-loopable-version))

    This version can seamlessly loop.
---
Track: Glitch - Full Version
Duration: '2:12'
URLs:
- https://andrewhuo.bandcamp.com/track/glitch-full-version
Commentary: |-
    <i>Andrew Huo:</i> ([Bandcamp about blurb](https://andrewhuo.bandcamp.com/track/glitch-full-version))

    This version ends with a conclusion.
Referenced Tracks:
- Glitch - Loopable Version
